# Class GetConnectionReply

#### Hierarchy

- unknown
  - GetConnectionReply

- Defined in src/protobuf/grpc_pb.d.ts:900
- Defined in src/protobuf/grpc_pb.d.ts:914

#####
Index

### Constructors

constructor

### Methods

clearConnection
getConnection
hasConnection
serializeBinary
setConnection
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetConnectionReply(): GetConnectionReply

- #### Returns GetConnectionReply

  Inherited from jspb.Message.constructor

## Methods

### clearConnection

- clearConnection(): GetConnectionReply

- #### Returns GetConnectionReply

  - Defined in src/protobuf/grpc_pb.d.ts:904

### getConnection

- getConnection(): undefined | UrlConnection

- #### Returns undefined | UrlConnection

  - Defined in src/protobuf/grpc_pb.d.ts:901

### hasConnection

- hasConnection(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:903

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:906

### setConnection

- setConnection(value?: UrlConnection): GetConnectionReply

- #### Parameters

  - ##### `Optional` value: UrlConnection

  #### Returns GetConnectionReply

  - Defined in src/protobuf/grpc_pb.d.ts:902

### toObject

- toObject(includeInstance?: boolean): GetConnectionReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetConnectionReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:907

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetConnectionReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetConnectionReply

  - Defined in src/protobuf/grpc_pb.d.ts:910

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetConnectionReply, reader: BinaryReader): GetConnectionReply

- #### Parameters

  - ##### message: GetConnectionReply

  - ##### reader: BinaryReader

  #### Returns GetConnectionReply

  - Defined in src/protobuf/grpc_pb.d.ts:911

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetConnectionReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetConnectionReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:909

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetConnectionReply): GetConnectionReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetConnectionReply

  #### Returns GetConnectionReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:908

Generated using TypeDoc